classification
Title: Upgrade Modules/zlib to 1.2.8
Type: resource usage Stage: resolved
Components: Extension Modules Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: christian.heimes Nosy List: christian.heimes, georg.brandl, loewis, pitrou, python-dev
Priority: normal Keywords:

Created on 2013-07-22 08:54 by christian.heimes, last changed 2017-08-16 15:42 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 3108 closed vstinner, 2017-08-16 15:42
Messages (5)
msg193520 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2013-07-22 08:54
According to http://hg.python.org/cpython/file/878dc9dfc565/Modules/zlib/ChangeLog our repository has zlib 1.2.5. zlib 1.2.8 is out for a while, http://zlib.net/

I'd like to update our copy of zlib to 1.2.8.
msg199769 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2013-10-13 19:26
Sounds reasonable at least for 3.4.
msg200625 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-10-20 19:54
Unless it's a security issue, it should probably only go into 3.4.
msg200742 - (view) Author: Roundup Robot (python-dev) Date: 2013-10-21 10:03
New changeset 224aa49f22f1 by Christian Heimes in branch 'default':
Issue #18527: Upgrade internal copy of zlib to 1.2.8
http://hg.python.org/cpython/rev/224aa49f22f1
msg200743 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2013-10-21 10:04
Done.

I have also removed two files that are neither part of zlib 1.2.8 nor required to build the extension on Windows.
History
Date User Action Args
2017-08-16 15:42:09vstinnersetpull_requests: + pull_request3148
2013-10-21 10:04:27christian.heimessetstatus: open -> closed
resolution: fixed
messages: + msg200743

stage: needs patch -> resolved
2013-10-21 10:03:25python-devsetnosy: + python-dev
messages: + msg200742
2013-10-20 19:54:07pitrousetnosy: + pitrou

messages: + msg200625
versions: - Python 2.7, Python 3.3
2013-10-13 19:44:51pitrousetnosy: + loewis
2013-10-13 19:26:33georg.brandlsetnosy: + georg.brandl
messages: + msg199769
2013-07-22 08:54:05christian.heimescreate